umbrello: umbrello/dialogs/dialog_utils.cpp File Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Namespaces | Functions
dialog_utils.cpp File Reference
`#include "dialog_utils.h"`
`#include "debug_utils.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "stereotype.h"`
`#include "umlwidget.h"`
`#include "dontaskagain.h"`
`#include "model_utils.h"`
`#include "widget_utils.h"`
`#include <KMessageBox>`
`#include <KLocalizedString>`
`#include <kcombobox.h>`
`#include <QGridLayout>`
`#include <QLabel>`
`#include <QLineEdit>`
`#include <QApplication>`
`#include <QStyle>`

## Namespaces
namespace | Dialog_Utils

## Functions
| DefineDontAskAgainItem (allItem, "all", i18n("Enable all messages"))
| DefineDontAskAgainItem (askDeleteAssociationItem, "delete-association", i18n("Enable 'delete association' related messages"))
| DefineDontAskAgainItem (askDeleteDiagramItem, "delete-diagram", i18n("Enable 'delete diagram' related messages"))
QLineEdit * | Dialog_Utils::makeLabeledEditField (QGridLayout *layout, int row, QLabel *&label, const QString &labelText, QLineEdit *&editField, const QString &editFieldText, int columnOffset)
void | Dialog_Utils::makeTagEditFields (UMLObject *o, QGridLayout *genLayout, QLabel *pTagLabel[N_STEREOATTRS], QLineEdit *pTagLineEdit[N_STEREOATTRS], int row)
void | Dialog_Utils::remakeTagEditFields (const QString &stereoText, UMLObject *, QGridLayout *genLayout, QLabel *pTagLabel[N_STEREOATTRS], QLineEdit *pTagLineEdit[N_STEREOATTRS], int row)
void | Dialog_Utils::updateTagsFromEditFields (UMLObject *o, QLineEdit *pTagLineEdit[N_STEREOATTRS])
void | Dialog_Utils::askNameForWidget (UMLWidget *&targetWidget, const QString &dialogTitle, const QString &dialogPrompt, const QString &defaultName)
bool | Dialog_Utils::askName (const QString &title, const QString &prompt, QString &name)
bool | Dialog_Utils::askDeleteAssociation ()
bool | Dialog_Utils::askDeleteDiagram (const QString &name)
bool | Dialog_Utils::askNewName (WidgetBase::WidgetType type, QString &name)
bool | Dialog_Utils::askRenameName (WidgetBase::WidgetType type, QString &name)
bool | Dialog_Utils::askDefaultNewName (WidgetBase::WidgetType type, QString &name)
bool | Dialog_Utils::askNewName (UMLObject::ObjectType type, QString &name)
bool | Dialog_Utils::askRenameName (UMLObject::ObjectType type, QString &name)
bool | Dialog_Utils::askDefaultNewName (UMLObject::ObjectType type, QString &name)
void | Dialog_Utils::insertStereotypesSorted (KComboBox *kcb, const QString &type)
int | Dialog_Utils::spacingHint ()

## Function Documentation

## ◆ DefineDontAskAgainItem() [1/3]

DefineDontAskAgainItem | ( | allItem | ,
|  | "all" | ,
|  | i18n("Enable all messages") | )

## ◆ DefineDontAskAgainItem() [2/3]

DefineDontAskAgainItem | ( | askDeleteAssociationItem | ,
|  | "delete-association" | ,
|  | i18n("Enable 'delete association' related messages") | )

## ◆ DefineDontAskAgainItem() [3/3]

DefineDontAskAgainItem | ( | askDeleteDiagramItem | ,
|  | "delete-diagram" | ,
|  | i18n("Enable 'delete diagram' related messages") | )